%define	name	libsdbi
%define	rname	sdbi
%define	major	1

%define	libname %mklibname %{rname} %{major}
%define	libname_devel	%mklibname %{rname} %{major} -d
%define	version	1.2.4
%define	release	4mdk


Summary: 	Simple Database Interface Library
Name: 		%name
Version: 	%version
Release: 	%release
Group: 		System/Libraries
License: 	LGPL
Source: 	%name-%version.tar.bz2
URL: 		http://adv.org.ua/devel/libsdbi
Buildroot:	%_tmppath/%name-buildroot

%description
The libsdbi API provide standard accessing to database data.

%package -n %{libname}
Summary:        Simple Database Interface Library Development
Group:          Development/C

%description -n %{libname}
The libsdbi API provide standard accessing to database data.

%package -n %{libname_devel}
Summary: 	Simple Database Interface Library Development
Group: 		Development/C
Provides: 	libsdbi-devel
Requires:	%libname = %version


%description -n %{libname_devel}
The libsdbi API provide standard accessing to database data.

%prep
%setup -q

%build

%configure

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

for CVSDIR in `find . -type d -name CVS` ; do
    rm -rf $CVSDIR
done


%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean 
rm -rf $RPM_BUILD_ROOT

%files -n %{libname}
%defattr(-,root,root)
%_libdir/*.so.*
%doc AUTHORS COPYING INSTALL
%doc README TODO ChangeLog

%files -n %{libname_devel}
%defattr(-,root,root)
%doc doc
%_libdir/*.so
%_libdir/*.a
%_includedir/%{rname}

%changelog
* Thu Aug 19 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.2.4-4mdk
- rebuild

* Sat Jul 12 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.2.4-3mdk
- use %%mklibname
- quiet setup

* Thu Jan 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.2.4-2mdk
- rebuild

* Thu Mar 07 2002  Lenny Cartier <lenny@mandrakesoft.com> 1.2.4-1mdk
- 1.2.4
- update files section

* Wed Oct 31 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.0.3-1mdk
- submitted by Andriy Marchenko <adv@adv.org.ua> :
	- Initial spec file created 
